rb_encoding_entry Struct Reference

## Data Fields

const char * | name
rb_encoding * | enc
rb_encoding * | base

## Detailed Description

Definition at line 42 of file encoding.c.

## Field Documentation

rb_encoding* rb_encoding_entry::base

Definition at line 45 of file encoding.c.

Referenced by enc_autoload(), and set_base_encoding().

rb_encoding* rb_encoding_entry::enc

Definition at line 44 of file encoding.c.

Referenced by enc_compatible_p(), enc_register_at(), rb_define_dummy_encoding(), rb_enc_check(), rb_enc_find_index(), rb_enc_from_encoding_index(), rb_encdb_dummy(), rb_obj_encoding(), and set_base_encoding().

const char* rb_encoding_entry::name

Definition at line 43 of file encoding.c.

Referenced by enc_register_at().

The documentation for this struct was generated from the following file:

- encoding.c